%{
    @author: Fujun Luan
    @email : fl356@cornell.edu
%}

disp('step 1: parse params from config file')
config_fn = 'config_files/config_1.txt';
params = ParseConfig(config_fn);

disp('step 2: simulate each ply')
plies = SimulatePly(params);

disp('step 3: roll plies into yarn')
yarn = RollPly(params, plies);

disp('step 4: save yarn fibers as file')
yarn_fn = 'yarn_files/yarn_1.txt';
SaveYarn(yarn_fn, yarn);